#### D.4.16.14 sRes

Procedure from library `modules.lib` (see modules_lib).

Usage:
  sRes(M,n); M Module or Ideal, n integer

Return:
  Resolution, with graded modules, computed with Schreyer's method using the function sres

Note:
  n is optional, if n ist positiv only that many steps will be computed use R.dd[i]; to return the different modules as image of matrices, R Resolution i integer EXAMPLE. example sRes, shows an example

Example:

    LIB "modules.lib";
    ring r;
    matrix m[1][3]=x,y,z;
    Matrix M=m;
    Module N=coker(M);
    N;
    ==> cokernel | x y z |
    ==>
    ==>
    Resolution R = sRes(N);
    R;
    ==>  1      3      3      1
    ==> r <--  r <--  r <--  r
    ==>
    ==> 0      1      2      3
    ==> resolution not minimized yet
    ==>
    ==>
    R.dd[2];
    ==>      {2}  {2}  {2}
    ==> {1}   -y   -x    0
    ==> {1}    z    0   -x
    ==> {1}    0    z    y
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.